Package twisted :: Package scripts :: Module trial :: Class Options

[frames | no frames]

## Class Options

    dict --+
           |
     Options --+
               |
              Options

Method Summary
| `__init__(self)`
| ``opt_c`(self, case)` TestCase to test
| ``opt_coverage`(self, coverdir)` Generate coverage information in the given directory (relative to _trial_temp).
| ``opt_disablegc`(self)` Disable the garbage collector
| ``opt_extra`(self, arg)` Add an extra argument.
| ``opt_f`(self, filename)` Filename of module to test
| ``opt_file`(self, filename)` Filename of module to test
| ``opt_M`(self, method)` Method to test
| ``opt_m`(self, module)` Module to test
| ``opt_method`(self, method)` Method to test
| ``opt_module`(self, module)` Module to test
| ``opt_p`(self, package)` Package to test
| ``opt_package`(self, package)` Package to test
| `opt_reactor(self, reactorName)`
| ``opt_spew`(self)` Print an insanely verbose log of everything that happens.
| ``opt_tbformat`(self, opt)` Specify the format to display tracebacks with.
| ``opt_testcase`(self, case)` TestCase to test
| ``opt_testmodule`(self, file)` Module to find a test case for
| ``opt_x`(self, arg)` Add an extra argument.
| ``parseArgs`(self)` I am called with any leftover arguments which were not options.
| ``postOptions`(self)` I am called after the options are parsed.
Inherited from Options
| ``__hash__`(self)`
| ``__str__`(self, width)`
| ``_gather_flags`(self)` Gather up boolean (flag) options.
| ``_gather_handlers`(self)` Gather up options with their own handler methods.
| ``_gather_parameters`(self)` Gather options which take a value.
| ``_generic_flag`(self, flagName, value)`
| ``_generic_parameter`(self, parameterName, value)`
| ``getSynopsis`(self)`
| ``getUsage`(self, width)`
| ``opt_help`(self)` Display this help and exit.
| ``opt_version`(self)`
| ``parseOptions`(self, options)` The guts of the command-line parser.
Inherited from dict
| `__cmp__(...)`
| `__contains__(...)`
| `__delitem__(...)`
| `__eq__(...)`
| `__ge__(...)`
| `__getattribute__(...)`
| `__getitem__(...)`
| `__gt__(...)`
| `__iter__(...)`
| `__le__(...)`
| `__len__(...)`
| `__lt__(...)`
| `__ne__(...)`
| `__repr__(...)`
| `__setitem__(...)`
| `clear(...)`
| `copy(...)`
| `get(...)`
| `has_key(...)`
| `items(...)`
| `iteritems(...)`
| `iterkeys(...)`
| `itervalues(...)`
| `keys(...)`
| `popitem(...)`
| `setdefault(...)`
| `update(...)`
| `values(...)`
Inherited from object
| `__delattr__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`NoneType` | `extra` = None
`list` | `optFlags` = `[['help', 'h'], ['text', 't', 'Text mode (ign...`
`list` | `optParameters` = `[['reactor', 'r', None, 'Which reactor t...`
`str` | `synopsis` = `'IGNORE [options] [[file|package|module|TestC...`
`NoneType` | `tracer` = None
Inherited from Options
`NoneType` | `defaultSubCommand` = None
`NoneType` | `parent` = None
`NoneType` | `subCommand` = None

Method Details

### opt_c(self, case)

TestCase to test

### opt_coverage(self, coverdir)

Generate coverage information in the given directory (relative to _trial_temp). Requires Python 2.3.3.

### opt_disablegc(self)

Disable the garbage collector

### opt_extra(self, arg)

Add an extra argument. (This is a hack necessary for interfacing with emacs's `gud'.)

### opt_f(self, filename)

Filename of module to test

### opt_file(self, filename)

Filename of module to test

### opt_M(self, method)

Method to test

### opt_m(self, module)

Module to test

### opt_method(self, method)

Method to test

### opt_module(self, module)

Module to test

### opt_p(self, package)

Package to test

### opt_package(self, package)

Package to test

### opt_spew(self)

Print an insanely verbose log of everything that happens. Useful when debugging freezes or locks in complex code.

### opt_tbformat(self, opt)

Specify the format to display tracebacks with. Valid formats are 'plain' and 'emacs'.

### opt_testcase(self, case)

TestCase to test

### opt_testmodule(self, file)

Module to find a test case for

### opt_x(self, arg)

Add an extra argument. (This is a hack necessary for interfacing with emacs's `gud'.)

### parseArgs(self, *args)

I am called with any leftover arguments which were not options.

Override me to do something with the remaining arguments on the command line, those which were not flags or options. e.g. interpret them as a list of files to operate on.

Note that if there more arguments on the command line than this method accepts, parseArgs will blow up with a getopt.error. This means if you don't override me, parseArgs will blow up if I am passed any arguments at all!

  Overrides:
    `twisted.python.usage.Options.parseArgs` (inherited documentation)

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### extra

  Type:
    `NoneType`
  Value:

        None

### optFlags

  Type:
    `list`
  Value:

        [['help', 'h'],
         ['text', 't', 'Text mode (ignored)'],
         ['verbose', 'v', 'Verbose output'],
         ['timing', None, 'Timing output'],
         ['bwverbose', 'o', 'Colorless verbose output'],
         ['jelly', 'j', 'Jelly (machine-readable) output'],
         ['summary', 's', 'summary output'],
         ['debug',
        ...

### optParameters

  Type:
    `list`
  Value:

        [['reactor',
          'r',
          None,
          'Which reactor to use out of: kqueue, qt, default, win, gtk, cf, gtk\
        2, win32, glade, iocp, poll, wx.'],
         ['logfile', 'l', 'test.log', 'log file name'],
         ['random', 'z', None, 'Run tests in random order using the specified \
        seed']]

### synopsis

  Type:
    `str`
  Value:

        '''IGNORE [options] [[file|package|module|TestCase|testmethod]...]
            '''

### tracer

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:16 2004 | http://epydoc.sf.net